﻿/**
 * Copyright (c) 2009 Vuzum LLC <http://www.vuzum.com/>
 */

package com.vuzum.mp3gallery.mp3player 
{

	// FLASH IMPORTS
	import flash.display.MovieClip;

	// OTHER IMPORTS
	import caurina.transitions.properties.*;
	

	/**
	 * CONSTRUCTOR
	 */
	public class Track extends MovieClip
	{
		// INTERNAL MEMBERS		
		private var index : Number;
		public var ID : Number = 0;
		//
		public var albumID : Number = 0;		
		public var albumIndex : Number = 0;		
		public var albumName : String = "";
		public var albumImage : String = "";
		//
		private var artist : String = "";
		private var title : String = "";
		//
		private var duration : String = "";
		//
		private var songPath : String = "";
		private var streamer : String = "";
		//
		public var imagePath : String = "";
		public var imageLink : String = "";
		public var imageLinkTarget : String = "";
		//
		private var buy : String = "";
		private var buyLink : String = "";
		private var buyTarget : String = "_blank";
		private var price : Number = 0;
		//
		private var totalVotes : Number = 0;
		private var rating : Number = 0;
		public var voted : Boolean = false;
		//
		
		/**
		 * CONSTRUCTOR
		 */
		public function Track() 
		{
			// init PROTOTYPES
			ColorShortcuts.init();
			TextShortcuts.init();
		}

		
		// index
		public function get getIndex() : Number
		{
			return index;
		}
		
		public function set setIndex(pVal : Number) : void
		{
			index = pVal;
		}			
		
		// title
		public function get getTitle() : String
		{
			return title;
		}
		
		public function set setTitle(pVal : String) : void
		{
			title = pVal;
		}	
		
		
		// artist
		public function get getArtist() : String
		{
			return artist;
		}
		
		public function set setArtist(pVal : String) : void
		{
			artist = pVal;
		}
		
		
		// duration
		public function get getDuration() : String
		{
			return duration;
		}
		
		public function set setDuration(pVal : String) : void
		{
			duration = pVal;
		}
		
		// buy string
		public function get getBuy() : String
		{
			return buy;
		}		
		public function set setBuy(pVal : String) : void
		{
			buy = pVal;
		}
		// buy link
		public function get getBuyLink() : String
		{
			return buyLink;
		}		
		public function set setBuyLink(pVal : String) : void
		{
			buyLink = pVal;
		}
		// buy target
		public function get getBuyTarget() : String
		{
			return buyTarget;
		}		
		public function set setBuyTarget(pVal : String) : void
		{
			buyTarget = pVal;
		}				
		
		// price
		public function get getPrice() : Number
		{
			return price;
		}
		public function set setPrice(pVal : Number) : void
		{
			price = pVal;
		}						
		
		// rating
		public function get getRating() : Number
		{
			return rating;
		}
		public function set setRating(pVal : Number) : void
		{
			rating = pVal;
		}
		
		// total votes
		public function get getTotalVotes() : Number
		{
			return totalVotes;
		}
		
		public function set setTotalVotes(pVal : Number) : void
		{
			totalVotes = pVal;
		}		
		
		// song path
		public function get getSong() : String
		{
			return songPath;
		}
		
		public function set setSong(pVal : String) : void
		{
			songPath = pVal;
		}
		
		// streamer
		public function get getStreamer() : String
		{
			return streamer;
		}	
			
		public function set setStreamer(pVal : String) : void
		{
			streamer = pVal;
		}			
		

		/****************************************************
		 * 
		 * 				AUX FUNCTIONS
		 * 
		 ****************************************************/
		public function get getScope() : Track
		{
			return this;
		}		
		

	}// FROM CLASS
}// FROM PACKAGE