﻿/**
* Free Flash Mp3 Player, September 2010
* @author Vuzum, LLC.
* @version 2; 
* http://www.vuzum.com
* email: office@vuzum.com
*/
 
package
{
	// FLASH IMPORTS
	import com.vuzum.mp3gallery.Mp3Gallery;
	import com.vuzum.utils.Prototypes;

	import org.libspark.ui.SWFWheel;

	import flash.display.MovieClip;
	import flash.display.StageAlign;
	import flash.display.StageScaleMode;

	// VUZUM IMPORTS 
	
	
	

	// THE CLASS
	public class Sample extends MovieClip 
	{
		/**
		 * COMPONENTS INSIDE
		 */
		public var mcMp3Gallery : Mp3Gallery;
		
			
		/**
		 * COMPONENT'S PARAMS
		 */
		public var componentWidth : Number = 0;
		public var componentHeight : Number = 0;
		
		// XML VARS
		private var pathToFiles : String = "mp3gallery/";
		//
		private var xmlPath : String = "xml/settings.xml";
		private var contentXMLPath : String = "xml/mp3gallery.xml";

		/**
		 * CONSTRUCTOR
		 */
		public function Sample() 
		{
			// STAGE SETTINGS
			if(stage)
			{
				stage.scaleMode = StageScaleMode.NO_SCALE;
				stage.align = StageAlign.TOP_LEFT;
				stage.showDefaultContextMenu = false;
				SWFWheel.initialize(stage);
				SWFWheel.browserScroll = false;
			}
			
			// START THE COMPONENT
			init();
		}
		
		
		/**
		 * INIT THE COMPONENT
		 */
		public function init() : void
		{
			var flashvars : Object = root.loaderInfo.parameters;
			
			// READ THE DIMENSIONS OF THE COMPONENT
			componentWidth = Prototypes.readNumberVar(flashvars.componentWidth);
			componentHeight = Prototypes.readNumberVar(flashvars.componentHeight);
			
			// PATH TO FILES
			pathToFiles = Prototypes.readPathTo(flashvars.pathToFiles, pathToFiles);
			
			// XML PATH
			xmlPath = Prototypes.readStringVar(flashvars.xmlPath, xmlPath);
			contentXMLPath = Prototypes.readStringVar(flashvars.contentXMLPath, contentXMLPath);

			// INIT THE COMPONENT
			mcMp3Gallery.init(componentWidth, componentHeight, pathToFiles, xmlPath, contentXMLPath);
		}
		
	} // FROM CLASS
} // FROM PACKAGE